Bug 1456398 (CVE-2015-9059) - CVE-2015-9059 picocom: Command injection in the "send and receive file" command
Summary: CVE-2015-9059 picocom: Command injection in the "send and receive file" command
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2015-9059
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1456399 1456400
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-29 10:16 UTC by Andrej Nemec
Modified: 2019-09-29 14:13 UTC (History)
1 user (show)

Fixed In Version: picocom 2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:13:35 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-05-29 10:16:11 UTC
It was found that picocom before 2.0 has a command injection vulnerability in the 'send and receive file' command because the command line is executed by /bin/sh unsafely.

Upstream patch:

https://github.com/npat-efault/picocom/commit/1ebc60b20fbe9a02436d5cbbf8951714e749ddb1

Comment 1 Andrej Nemec 2017-05-29 10:16:41 UTC
Created picocom tracking bugs for this issue:

Affects: epel-6 [bug 1456400]
Affects: fedora-all [bug 1456399]

Comment 2 Product Security DevOps Team 2019-06-08 03:13:35 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.